Bug 564033 - Can't connect with Sony Ericsson MD400
Can't connect with Sony Ericsson MD400
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-11 13:10 EST by md-400
Modified: 2010-12-03 17:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 17:57:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description md-400 2010-02-11 13:10:23 EST
Description of problem:

NetworkManager won't connect with my modem. Sony Ericsson MD400.

Version-Release number of selected component (if applicable):

ModemManager-0.3-1.git20100119.fc12.i686
NetworkManager-0.7.998-2.git20100106.fc12.i686
usb_modeswitch-1.0.5-1.fc12.i686

How reproducible:

Every time.

Steps to Reproduce:
1. use usb_modeswitch to activate modem
2. Connect with network manager
3.
  
Actual results:


Expected results:


Additional info:

Testing with:

1) service NetworkManager stop
2) killall -TERM modem-manager
3) modem-manager --debug
4) service NetworkManager start
5) try to connect

modem-manager --debug output:

[root@localhost tmp]# modem-manager --debug
** Message: Loaded plugin AnyData
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin Nokia
** Message: Loaded plugin Option
** Message: Loaded plugin Gobi
** Message: Loaded plugin Huawei
** Message: Loaded plugin MotoC
** Message: Loaded plugin ZTE
** Message: Loaded plugin Novatel
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Sierra
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Generic
** Message: (ttyACM0) opening serial device...
** (modem-manager:2457): DEBUG: (ttyACM0): probe requested by plugin 'Generic'
** Message: (ttyACM1) opening serial device...
** (modem-manager:2457): DEBUG: (ttyACM1): probe requested by plugin 'Generic'
** (modem-manager:2457): DEBUG: (ttyACM0): <-- '<CR><LF>*EMRDY: 1<CR><LF>'
** (modem-manager:2457): DEBUG: (ttyACM1): <-- '<CR><LF>*EMRDY: 1<CR><LF>'
** (modem-manager:2457): DEBUG: (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:2457): DEBUG: (ttyACM1): --> 'AT+GCAP<CR>'
** (modem-manager:2457): DEBUG: (ttyACM0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2457): DEBUG: (ttyACM1): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyACM0) closing serial device...
** Message: (ttyACM1) closing serial device...
** Message: (Generic): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-5 claimed port ttyACM0
** (modem-manager:2457): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-5
** (modem-manager:2457): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-5 as /org/freedesktop/ModemManager/Modems/0
** Message: (Generic): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-5 claimed port ttyACM1
** Message: (ttyACM0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:2457): DEBUG: (ttyACM0): --> 'ATZ E0 V1 +CMEE=1<CR>'
** (modem-manager:2457): DEBUG: (ttyACM0): <-- 'ATZ E0 V1 +CMEE=1<CR>'
** (modem-manager:2457): DEBUG: (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2457): DEBUG: Got failure code 100: Unknown error
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> disabled)


/var/log/messages

Feb 11 19:20:29 localhost kernel: usb 1-5: USB disconnect, address 4
Feb 11 19:20:47 localhost kernel: usb 1-5: new high speed USB device using ehci_hcd and address 5
Feb 11 19:20:47 localhost kernel: usb 1-5: New USB device found, idVendor=0fce, idProduct=d0e1
Feb 11 19:20:47 localhost kernel: usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Feb 11 19:20:47 localhost kernel: usb 1-5: Product: Sony Ericsson MD400 Mobile Broadband USB Modem
Feb 11 19:20:47 localhost kernel: usb 1-5: Manufacturer: Sony Ericsson
Feb 11 19:20:47 localhost kernel: usb 1-5: SerialNumber: 3578650243248110
Feb 11 19:20:47 localhost kernel: usb 1-5: configuration #2 chosen from 1 choice
Feb 11 19:20:47 localhost kernel: usb-storage: device ignored
Feb 11 19:20:47 localhost kernel: usb-storage: device ignored
Feb 11 19:20:47 localhost kernel: usb-storage: device ignored
Feb 11 19:20:47 localhost kernel: usb-storage: device ignored
Feb 11 19:20:47 localhost kernel: usb-storage: device ignored
Feb 11 19:20:47 localhost kernel: usb-storage: device ignored
Feb 11 19:20:47 localhost kernel: usb-storage: device ignored
Feb 11 19:20:47 localhost kernel: usb-storage: device ignored
Feb 11 19:20:47 localhost kernel: usb-storage: device ignored
Feb 11 19:20:47 localhost kernel: usb-storage: device ignored
Feb 11 19:20:47 localhost kernel: cdc_acm 1-5:2.1: ttyACM0: USB ACM device
Feb 11 19:20:47 localhost kernel: cdc_acm 1-5:2.3: ttyACM1: USB ACM device
Feb 11 19:20:47 localhost kernel: usbcore: registered new interface driver cdc_acm
Feb 11 19:20:47 localhost kernel: cdc_acm: v0.26:USB Abstract Control Model driver for USB modems and ISDN adapters
Feb 11 19:20:47 localhost kernel: usbcore: registered new interface driver cdc_ether
Feb 11 19:20:47 localhost kernel: cdc_wdm 1-5:2.5: cdc-wdm0: USB WDM device
Feb 11 19:20:47 localhost kernel: usbcore: registered new interface driver cdc_wdm
Feb 11 19:21:20 localhost NetworkManager: <info>  starting...
Feb 11 19:21:20 localhost NetworkManager: <info>  modem-manager is now available
Feb 11 19:21:20 localhost NetworkManager: Loaded plugin ifcfg-rh: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Feb 11 19:21:20 localhost NetworkManager: <info>  Found wlan radio killswitch rfkill1 (at /sys/devices/pci0000:00/0000:00:1c.0/0000:0b:00.0/ieee80211/phy0/rfkill1) (driver <unknown>)
Feb 11 19:21:20 localhost NetworkManager: <info>  Found wlan radio killswitch rfkill0 (at /sys/devices/virtual/rfkill/rfkill0) (driver <unknown>)
Feb 11 19:21:20 localhost NetworkManager: <info>  WiFi disabled by radio killswitch; disabled by state file
Feb 11 19:21:20 localhost NetworkManager: <info>  WWAN enabled by radio killswitch; enabled by state file
Feb 11 19:21:20 localhost NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-wlan0 ... 
Feb 11 19:21:20 localhost NetworkManager:    ifcfg-rh:     error: Missing SSID
Feb 11 19:21:20 localhost NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth0 ... 
Feb 11 19:21:20 localhost NetworkManager:    ifcfg-rh:     read connection 'System eth0'
Feb 11 19:21:20 localhost NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
Feb 11 19:21:20 localhost NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-ttyACM0 ... 
Feb 11 19:21:20 localhost NetworkManager:    ifcfg-rh:     read connection 'System ttyACM0'
Feb 11 19:21:20 localhost NetworkManager: <info>  (wlan0): driver supports SSID scans (scan_capa 0x01).
Feb 11 19:21:20 localhost NetworkManager: <info>  (wlan0): new 802.11 WiFi device (driver: 'iwl3945')
Feb 11 19:21:20 localhost NetworkManager: <info>  (wlan0): exported as /org/freedesktop/NetworkManager/Devices/0
Feb 11 19:21:20 localhost NetworkManager: <info>  (wlan0): now managed
Feb 11 19:21:20 localhost NetworkManager: <info>  (wlan0): device state change: 1 -> 2 (reason 2)
Feb 11 19:21:20 localhost NetworkManager: <info>  (wlan0): bringing up device.
Feb 11 19:21:20 localhost NetworkManager: <info>  (wlan0): deactivating device (reason: 2).
Feb 11 19:21:20 localhost NetworkManager: <info>  (eth0): carrier is OFF
Feb 11 19:21:20 localhost NetworkManager: <info>  (eth0): new Ethernet device (driver: 'b44')
Feb 11 19:21:20 localhost NetworkManager: <info>  (eth0): exported as /org/freedesktop/NetworkManager/Devices/1
Feb 11 19:21:20 localhost NetworkManager: <info>  (eth0): now managed
Feb 11 19:21:20 localhost NetworkManager: <info>  (eth0): device state change: 1 -> 2 (reason 2)
Feb 11 19:21:20 localhost NetworkManager: <info>  (eth0): bringing up device.
Feb 11 19:21:20 localhost kernel: ADDRCONF(NETDEV_UP): eth0: link is not ready
Feb 11 19:21:20 localhost NetworkManager: <info>  (eth0): preparing device.
Feb 11 19:21:20 localhost NetworkManager: <info>  (eth0): deactivating device (reason: 2).
Feb 11 19:21:20 localhost NetworkManager: <info>  (ttyACM0): new GSM device (driver: 'cdc_acm')
Feb 11 19:21:20 localhost NetworkManager: <info>  (ttyACM0): exported as /org/freedesktop/NetworkManager/Devices/2
Feb 11 19:21:20 localhost NetworkManager: <info>  (ttyACM0): now managed
Feb 11 19:21:20 localhost NetworkManager: <info>  (ttyACM0): device state change: 1 -> 2 (reason 2)
Feb 11 19:21:20 localhost NetworkManager: <info>  (ttyACM0): deactivating device (reason: 2).
Feb 11 19:21:20 localhost NetworkManager: <WARN>  default_adapter_cb(): bluez error getting default adapter: The name org.bluez was not provided by any .service files
Feb 11 19:21:20 localhost NetworkManager: <info>  (ttyACM0): device state change: 2 -> 3 (reason 0)
Feb 11 19:21:24 localhost NetworkManager: <info>  Activation (ttyACM0) starting connection 'Telenor Mobilt bredband'
Feb 11 19:21:24 localhost NetworkManager: <info>  (ttyACM0): device state change: 3 -> 4 (reason 0)
Feb 11 19:21:24 localhost NetworkManager: <info>  Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
Feb 11 19:21:24 localhost NetworkManager: <info>  Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
Feb 11 19:21:24 localhost NetworkManager: <info>  Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
Feb 11 19:21:24 localhost NetworkManager: <WARN>  stage1_enable_done(): GSM modem enable failed: (32) Unknown error
Feb 11 19:21:24 localhost NetworkManager: <info>  (ttyACM0): device state change: 4 -> 9 (reason 0)
Feb 11 19:21:24 localhost NetworkManager: <info>  Marking connection 'Telenor Mobilt bredband' invalid.
Feb 11 19:21:24 localhost NetworkManager: <info>  Activation (ttyACM0) failed.
Feb 11 19:21:24 localhost NetworkManager: <info>  (ttyACM0): device state change: 9 -> 3 (reason 0)
Feb 11 19:21:24 localhost NetworkManager: <info>  (ttyACM0): deactivating device (reason: 0).
Comment 1 Dan Williams 2010-02-12 13:27:18 EST
If you add the following line to /lib/udev/rules.d/77-mm-ericsson-mbm.rules:

# SE MD-400
ATTRS{idVendor}=="0fce", ATTRS{idProduct}=="d0e1", ENV{ID_MM_ERICSSON_MBM}="1"

right before the "LABEL="mm_mbm_end"", then unplug and replug your device, what ModemManager debug output do you get during a connection attempt?
Comment 2 md-400 2010-02-17 13:01:26 EST
modem-manager --debug

** Message: Loaded plugin AnyData
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin Nokia
** Message: Loaded plugin Option
** Message: Loaded plugin Gobi
** Message: Loaded plugin Huawei
** Message: Loaded plugin MotoC
** Message: Loaded plugin ZTE
** Message: Loaded plugin Novatel
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Sierra
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Generic
** Message: (ttyACM0) opening serial device...
** (modem-manager:2475): DEBUG: (ttyACM0): probe requested by plugin 'Ericsson MBM'
** Message: (ttyACM1) opening serial device...
** (modem-manager:2475): DEBUG: (ttyACM1): probe requested by plugin 'Ericsson MBM'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:2475): DEBUG: (ttyACM1): --> 'AT+GCAP<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM1): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyACM0) closing serial device...
** Message: (ttyACM1) closing serial device...
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-3 claimed port ttyACM0
** (modem-manager:2475): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-3
** (modem-manager:2475): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-3 as /org/freedesktop/ModemManager/Modems/0
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-3 claimed port ttyACM1
** Message: (ttyACM0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT*EMRDY?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- 'AT*EMRDY?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2475): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT&F E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- 'AT&F E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT*ENAP=0<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CME ERROR: 263<CR><LF>'

** (modem-manager:2475): WARNING **: Invalid error code
** (modem-manager:2475): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CFUN=1<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CPIN?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CPIN: SIM PIN<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CPIN?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CPIN: SIM PIN<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CPIN="4444"<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG=1<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CMER=3,0,0,1<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+COPS=0,,<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: Registration state changed: 4
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CIEV: 2,3<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>*ESTKSTERM<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>*EMWI: 1,0<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+PACSP0<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CIEV: 1,5<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 3<CR><LF>'
** (modem-manager:2475): DEBUG: Registration state changed: 3
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CIEV: 5,0<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CIEV: 9,0<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,3<CR><LF>'
** (modem-manager:2475): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
Comment 3 Dan Williams 2010-03-23 17:30:09 EDT
Registration state 3 means you have been denied registration by your provider.  Are you sure the SIM is activated on the network?  Is your provider a 3G-only or a 2G-only provider and perhaps the modem is not acquiring the right provider initially?
Comment 4 Bug Zapper 2010-11-03 18:22:36 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 17:57:09 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.